package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtoVtaSeguroDAO;
import com.rjconsultores.ventaboletos.entidad.PtoVtaSeguro;
import com.rjconsultores.ventaboletos.service.PtoVtaSeguroService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ptoVtaSeguroService")
public class PtoVtaSeguroServiceImpl implements PtoVtaSeguroService {

	@Autowired
	private PtoVtaSeguroDAO ptoVtaSeguroServiceDAO;

	@Override
	public List<PtoVtaSeguro> obtenerTodos() {
		return ptoVtaSeguroServiceDAO.obtenerTodos();
	}

	@Override
	public PtoVtaSeguro obtenerID(Integer id) {
		return ptoVtaSeguroServiceDAO.obtenerID(id);
	}

	@Override
	@Transactional(readOnly = false)
	public PtoVtaSeguro suscribir(PtoVtaSeguro entidad) {
		return ptoVtaSeguroServiceDAO.suscribir(entidad);
	}

	@Override
	@Transactional(readOnly = false)
	public PtoVtaSeguro actualizacion(PtoVtaSeguro entidad) {
		return ptoVtaSeguroServiceDAO.actualizacion(entidad);
	}

	@Override
	@Transactional(readOnly = false)
	public void borrar(PtoVtaSeguro entidad) {
		entidad.setActivo(Boolean.FALSE);
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		ptoVtaSeguroServiceDAO.actualizacion(entidad);
	}

}
